{{{bodyMethodTsComments}}}{{methodName}}({{>operationParameters}}): Observable<Either<ServerError, {{{resultType}}}>> {

    return this.{{responseMethodName}}(params, context).pipe(
      eitherify()
    );
  }